package rap.tinymce.core;

import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Listener;

public class TinyMCE extends Composite {

	private String content;
	private String htmlFile;
	private Listener listener;

	public TinyMCE(Composite parent, int style, String htmlFile) {
		this(parent, style, htmlFile, null);
	}

	public TinyMCE(Composite parent, int style, String htmlFile,
			Listener listener) {
		super(parent, style);
		this.htmlFile = htmlFile;
		this.listener = listener;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
		if (listener != null) {
			System.out.println("fire .setContent()");
			listener.handleEvent(null);
		}
	}

	public String getHtmlFile() {
		return htmlFile;
	}
}
