package rap.tinymce.core.resources;

import org.eclipse.rwt.resources.IResource;
import org.eclipse.rwt.resources.IResourceManager.RegisterOptions;

public class TinyMCEResource implements IResource {

	@Override
	public String getCharset() {
		return "utf-8";
	}

	@Override
	public ClassLoader getLoader() {
		return this.getClass().getClassLoader();
	}

	@Override
	public String getLocation() {
		return "rap/tinymce/core/resources/TinyMCE.js";
	}

	@Override
	public RegisterOptions getOptions() {
		return RegisterOptions.NONE;
	}

	@Override
	public boolean isExternal() {
		return false;
	}

	@Override
	public boolean isJSLibrary() {
		return true;
	}
	
}
