package rap.tinymce;

import org.eclipse.swt.SWT;
import org.eclipse.swt.browser.Browser;
import org.eclipse.swt.events.MouseAdapter;
import org.eclipse.swt.events.MouseEvent;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.part.ViewPart;

import rap.tinymce.core.TinyMCE;

public class View extends ViewPart {
	public static final String ID = "RAP.TinyMCE.view";

	private Composite holder;

	private Button button, button2;
	private Browser browser;
	private TinyMCE tinyMce, tinyMce2;

	public void createPartControl(Composite parent) {
		parent.setLayout(new GridLayout());
		holder = new Composite(parent, SWT.NONE);
		holder.setLayout(new GridLayout());
		GridData gd = new GridData(GridData.FILL_BOTH);
		holder.setLayoutData(gd);

		Composite buttonsHolder = new Composite(holder, SWT.NONE);
		buttonsHolder.setLayout(new GridLayout(2, false));

		button = new Button(buttonsHolder, SWT.FLAT);
		button.setText("Click Me");

		button.addMouseListener(new MouseAdapter() {
			@Override
			public void mouseUp(MouseEvent e) {
				browser.setText(tinyMce.getContent());
			}
		});

		button2 = new Button(buttonsHolder, SWT.FLAT);
		button2.setText("Click Me 2");

		button2.addMouseListener(new MouseAdapter() {
			@Override
			public void mouseUp(MouseEvent e) {
				browser.setText(tinyMce2.getContent());
			}
		});

		tinyMce = new TinyMCE(holder, SWT.NONE, "tiny_mce/tinymce.html");
		tinyMce.setContent("uga buga");
		GridData gd_tinymce = new GridData(GridData.FILL_BOTH);
		tinyMce.setLayoutData(gd_tinymce);

		tinyMce2 = new TinyMCE(holder, SWT.NONE, "tiny_mce/tinymce2.html");
		tinyMce2.setContent("ala bala");
		GridData gd_tinymce2 = new GridData(GridData.FILL_BOTH);
		tinyMce2.setLayoutData(gd_tinymce2);

		browser = new Browser(holder, SWT.BORDER);
		GridData gd_text = new GridData(GridData.FILL_BOTH);
		browser.setLayoutData(gd_text);

	}

	/**
	 * Passing the focus request to the viewer's control.
	 */
	public void setFocus() {
		holder.setFocus();
	}
}